<html>

<head>
	<title>Quiz Vue.js Basic</title>
</head>

<body>
	<h2>Database Biodata Sederhana Hanya dengan Vue.js</h2>

	<div id="vueApp">
		{{message}}
		
		<p>
			<bio-create v-if="createOrEdit"></bio-create>
			<bio-edit v-if="!createOrEdit" v-bind:gate="this.bio" ref="editBio"></bio-edit>

			<br>
			<bio-list :gate="bios"></bio-list>
		</p>

	</div>

	<template id="bioList">

		<ul>			
			<li v-for="(bio, index) in gate" :key="index">

				Data no. {{index+1}} : {{bio.nama}}
				<button v-on:click="edit(bio)">Ubah</button> ||
				<button v-on:click="destroy(index)">Hapus</button>
				<br>
			</li>
		</ul>	

	</template>

	
	<template id="bioCreate">
		<div>
			<h3>Tambah data User Baru</h3>
			<input type="text" v-model="nama">
			<button type="button" v-on:click="store">Simpan</button>
		</div>		
	</template>

	<template id="bioEdit">
		<div>
			
			<h3>Edit data User Baru</h3>	
			<input type="text" v-model="nama">
			<button type="button" v-on:click="update">Ubah</button>
		</div>		
	</template>

</body>

<script src="./js/vue.js"></script>
<script src="./js/biodata.js"></script>

</html>